require 'uu/os/form/file'

module UU
  module OS
    module Form

      # InputImage component.
      class InputImage < UU::OS::Form::File

        # URI of the image uploaded in a storage. Note that when setting the value,
        # the image represented by the URI should be uploaded in the storage with
        # proper content type (e.g. "image/png") and it should also have a name
        # because this information might be shown to the user in their browser.
        attr_accessor :value

        def value
          attributes[:value]
        end

        def value=(value)
          attributes[:value] = value
        end

      end

    end
  end
end
